<!--
 * 严肃声明：
 * 开源版本请务必保留此注释头信息，若删除我方将保留所有法律责任追究！
 * 本系统已申请软件著作权，受国家版权局知识产权以及国家计算机软件著作权保护！
 * 可正常分享和学习源码，不得用于违法犯罪活动，违者必究！
 * Copyright (c) 2020 陈尼克 all rights reserved.
 * 版权所有，侵权必究！
 *
-->

<template>
    <div>
       <LHeader v-bind:text="text"></LHeader>
        <div class="card"  v-for="(item,index) in noticeList"  :key="index" @click="cardLocation(item)">
            <div>负责人姓名：{{item.realName}}</div>
            <div>检查名称：{{item.name}}</div>
            <div>检查类型：{{item.type}}</div>
            <div>检查开始时间：{{item.planStartTime}}</div>
            <div>检查结束时间：{{item.planEndTime}}</div>
            <div>检查地点：{{item.address}}</div>
            <div>是否完成检查：{{item.finish?'是':'否'}}</div>
            <div>问题数量：{{item.troubleNumber}}</div>
        </div>
        <tab-bar :index="1"></tab-bar>
    </div>
</template>

<script>
import tabBar from "@/components/TabBar";
import LHeader from '@/components/header.vue'
import { getFun,postFun } from '@/service/table'
export default {
    name: 'notice',
    components: {
        "LHeader":LHeader,
        "tabBar":tabBar
    },
    data() {
        return {
            noticeList:[],//整改通知管理列表
            text:'整改通知管理',
        }
    },
    mounted() {
        this.init()
    },
    methods: {
        /* 请求整改通知列表 */
        init(){
            this.noticeList=[]
            this.$toast.loading({
                message:'加载中...',
                forbidClick: true,
                loadingType: 'spinner',
                duration: 0
            })
            getFun('check/notify/list').then((Response)=>{
                this.$toast.clear()
                this.noticeList=Response.data
            })
        },
        cardLocation(item){
            sessionStorage.setItem('finish',item.finish)
            sessionStorage.setItem('id',item.id)
            this.$router.push({
                name:'noticeList',
                params:{
                    name:'notice',
                    id:item.id
                }
            })
        }
    }
}
</script>
<style lang="less" scoped>
    .card{
        width:90%;
        box-shadow: 0px 0px 10px 2px #F3F3F3;
        padding: 0.25rem;
        margin:0.4rem auto;
        background: white;
    }
    .card div{
        font-size: 0.4rem;
    }
</style>
